Bug 1284775 - [PPC64LE] enable memory hotplug support
Summary: [PPC64LE] enable memory hotplug support
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: unspecified
Hardware: ppc64le
OS: Linux
medium
high
Target Milestone: ovirt-4.3.0
: ---
Assignee: Michal Skrivanek
QA Contact: Polina
URL:
Whiteboard:
Depends On: 1211117 1282833 1285474 1304300 1304354 1305398 1305399 1305400 1305498 1308743 1308744
Blocks: 1577865 1272742 1624923
TreeView+ depends on / blocked
 
Reported: 2015-11-24 08:32 UTC by Michal Skrivanek
Modified: 2019-05-09 13:26 UTC (History)
21 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
The current release adds support for memory hot-plug for IBM POWER (ppc64le) virtual machines.
Clone Of: 1282833
: 1305498 1624923 (view as bug list)
Environment:
Last Closed: 2019-05-08 12:36:47 UTC
oVirt Team: Virt


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2019:1085 None None None 2019-05-08 12:37:29 UTC
oVirt gerrit 49061 master MERGED core: disable hotplug for PPC Never
oVirt gerrit 49062 ovirt-engine-3.6 MERGED core: disable hotplug for PPC Never
oVirt gerrit 49072 ovirt-engine-3.6.1 MERGED core: disable hotplug for PPC Never
IBM Linux Technology Center 177198 None None None 2019-07-16 19:56:15 UTC
Red Hat Bugzilla 515840 None None None 2019-07-16 19:56:15 UTC
Red Hat Bugzilla 1261812 None CLOSED [ppc64le] VM startup takes too long when hot-plug memory feature is enabled 2019-07-16 19:56:15 UTC

Internal Links: 515840 1261812

Description Michal Skrivanek 2015-11-24 08:32:43 UTC
Temporarily disable hotplug memory support until issues (e.g. bug 1282833, bug 1273491, bug 1272742) are sorted out, then enable it:)

+++ This bug was initially created as a clone of Bug #1282833 +++

Comment 1 David Gibson 2015-11-24 23:25:17 UTC
AFAICT only bug 1282833 is ppc64 specific, the other two appear to be x86 as well.  Is that correct?

Comment 2 Michal Skrivanek 2015-11-26 12:41:44 UTC
so now we have the initial state of hotplug RAM not being enabled on POWER (patch 49072 in the closest to-be-published release).

From now on the bug tracks the required changes (or platform deliverables) to be able to enable it again and match x86 parity as soon as it is deemed stable

Comment 3 Michal Skrivanek 2015-11-26 12:45:55 UTC
(In reply to David Gibson from comment #1)
> AFAICT only bug 1282833 is ppc64 specific, the other two appear to be x86 as
> well.  Is that correct?

right. however there are more situations, now QE run into bug 1285474, which I believe is the same thing about qemu memory hash tables being too large, just this time exposed on migration flow

Comment 4 Michal Skrivanek 2016-02-03 14:21:57 UTC
we tested that on current 7.2, still problematic (see related bugs), so we are going to keep hotplug disabled for now until the root issue is resolved

Comment 5 Michal Skrivanek 2016-02-08 12:33:08 UTC
moving to 4.0 as the bugs this one depends on are heavily in progress and won't be ready before RHEL 7.3

Comment 7 Michal Skrivanek 2016-04-05 10:47:55 UTC
platform side is not ready yet, would need to push this out to 4.1

Comment 9 Michal Skrivanek 2017-08-22 07:54:12 UTC
likely need to wait for 7.5

Comment 10 Michal Skrivanek 2018-06-12 13:29:32 UTC
should work now with 7.5

Comment 11 RHV Bugzilla Automation and Verification Bot 2018-08-06 12:02:19 UTC
WARN: Bug status (ON_QA) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{'rhevm-4.2.z': '?'}', ]

For more info please contact: rhv-devops@redhat.comINFO: Bug status (ON_QA) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{'rhevm-4.2.z': '?'}', ]

For more info please contact: rhv-devops@redhat.com

Comment 13 Polina 2018-08-20 08:08:29 UTC
The test was verified by running automation tier1 on ppc9 , version rhv-release-4.2.6-3-001.noarch

https://rhv-jenkins.rhev-ci-vms.eng.rdu2.redhat.com/job/rhv-4.2-ge-runner-tier1/214/

hotplug memory test cases passed successfully

Comment 14 RHV Bugzilla Automation and Verification Bot 2018-08-28 18:32:30 UTC
WARN: Bug status (VERIFIED) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{'rhevm-4.2.z': '?'}', ]

For more info please contact: rhv-devops@redhat.comINFO: Bug status (VERIFIED) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{'rhevm-4.2.z': '?'}', ]

For more info please contact: rhv-devops@redhat.com

Comment 17 errata-xmlrpc 2019-05-08 12:36:47 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2019:1085


Note You need to log in before you can comment on or make changes to this bug.